libqxp::QXPHeader Class Referenceabstract

`#include <QXPHeader.h>`

Inheritance diagram for libqxp::QXPHeader:

## Public Member Functions

| QXPHeader (const boost::optional< QXPDocument::Type > &fileType=boost::none)
virtual | ~QXPHeader ()=default
virtual bool | load (const std::shared_ptr< librevenge::RVNGInputStream > &input)=0
virtual QXPDocument::Type | getType () const =0
virtual std::unique_ptr< QXPParser > | createParser (const std::shared_ptr< librevenge::RVNGInputStream > &input, librevenge::RVNGDrawingInterface *painter)=0
bool | isLittleEndian () const
bool | isBigEndian () const
unsigned | version () const
const char * | encoding () const

## Protected Attributes

unsigned | m_proc
unsigned | m_version
unsigned | m_language
boost::optional< QXPDocument::Type > | m_fileType

## Constructor & Destructor Documentation

## QXPHeader()

libqxp::QXPHeader::QXPHeader | ( | const boost::optional< QXPDocument::Type > & | fileType = boost::none | ) |

explicit

Referenced by libqxp::QXP3HeaderBase::QXP3HeaderBase().

## ~QXPHeader()

virtual libqxp::QXPHeader::~QXPHeader | ( |  | ) |

virtual default

## Member Function Documentation

## createParser()

virtual std::unique_ptr< QXPParser > libqxp::QXPHeader::createParser | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | librevenge::RVNGDrawingInterface * | painter )

pure virtual

## encoding()

const char * libqxp::QXPHeader::encoding | ( |  | ) | const

## getType()

virtual QXPDocument::Type libqxp::QXPHeader::getType | ( |  | ) | const

pure virtual

Implemented in libqxp::QXP1Header, libqxp::QXP33Header, and libqxp::QXP4Header.

## isBigEndian()

bool libqxp::QXPHeader::isBigEndian | ( |  | ) | const

Referenced by libqxp::QXP33Header::load(), libqxp::QXP3HeaderBase::load(), and libqxp::QXP4Header::load().

## isLittleEndian()

bool libqxp::QXPHeader::isLittleEndian | ( |  | ) | const

Referenced by encoding(), isBigEndian(), libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

## load()

virtual bool libqxp::QXPHeader::load | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input | ) |

pure virtual

## version()

unsigned libqxp::QXPHeader::version | ( |  | ) | const

## Member Data Documentation

## m_fileType

boost::optional<QXPDocument::Type> libqxp::QXPHeader::m_fileType

protected

Referenced by libqxp::QXP33Header::getType(), libqxp::QXP4Header::getType(), and QXPHeader().

## m_language

unsigned libqxp::QXPHeader::m_language

protected

Referenced by encoding(), libqxp::QXP3HeaderBase::load(), and QXPHeader().

## m_proc

unsigned libqxp::QXPHeader::m_proc

protected

Referenced by isLittleEndian(), libqxp::QXP1Header::load(), libqxp::QXP3HeaderBase::load(), and QXPHeader().

## m_version

unsigned libqxp::QXPHeader::m_version

protected

Referenced by libqxp::QXP1Header::load(), libqxp::QXP3HeaderBase::load(), QXPHeader(), and version().

The documentation for this class was generated from the following files:

- QXPHeader.h
- QXPHeader.cpp